package org.gcube.accounting.datamodel.validators;

import org.gcube.accounting.datamodel.UsageRecord;
import org.gcube.common.validator.annotations.FieldValidator;

public class ValidIntegerValidator implements FieldValidator<ValidLong>{

	public Class<ValidLong> annotation() {
		return ValidLong.class;
	}

	public boolean isValid(Object toValidate) {
		if(toValidate instanceof Integer){
			return true;
		}
		return false;
	}

	public String getErrorSuffix() {
		return String.format("not instace of %s", Integer.class.getSimpleName());
	}

}
