package org.gcube.accounting.datamodel.validators;

import org.gcube.common.validator.annotations.FieldValidator;

public class ValidLongValidator implements FieldValidator<ValidLong>{

	public Class<ValidLong> annotation() {
		return ValidLong.class;
	}

	public boolean isValid(Object toValidate) {
		if(toValidate instanceof Long){
			return true;
		}
		return false;
	}

	public String getErrorSuffix() {
		return String.format("not instace of %s", Long.class.getSimpleName());
	}

}
